Bug 1894345

Summary: oauth-apiserver logs many "[SHOULD NOT HAPPEN] failed to update managedFields for ... OAuthClient ... no corresponding type for oauth.openshift.io/v1, Kind=OAuthClient"
Product: OpenShift Container Platform Reporter: Xingxing Xia <xxia>
Component: oauth-apiserverAssignee: Maru Newby <mnewby>
Status: CLOSED ERRATA QA Contact: pmali
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.6CC: aos-bugs, mfojtik
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1894342 Environment:
Last Closed: 2020-12-14 13:50:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1894342    
Bug Blocks:    

Description Xingxing Xia 2020-11-04 05:09:12 UTC
In #qe-group-b, confirmed with Maru Newby that I can create a 4.6.z clone since it will be required for backport, so creating this clone.

+++ This bug was initially created as a clone of Bug #1894342 +++

Description of problem:
oauth-apiserver logs many:
... [SHOULD NOT HAPPEN] failed to update managedFields for ... OAuthClient ... no corresponding type for oauth.openshift.io/v1, Kind=OAuthClient"

kube-apiserver and openshift-apiserver logs don't have any "SHOULD NOT HAPPEN" errors.

Version-Release number of selected component (if applicable):
4.6.1 and 4.7.0-0.nightly-2020-11-03-002310

How reproducible:
Always

Steps to Reproduce:
1. Install fresh env
2. Check logs: oc logs <pod_name> -n openshift-oauth-apiserver

Actual results:
2. oauth-apiserver logs have many above errors
$ oc get pod -n openshift-oauth-apiserver
apiserver-f6d8b6c75-5p5wh   1/1     Running   0          10h ...
$ oc logs apiserver-f6d8b6c75-5p5wh -n openshift-oauth-apiserver > logs/oauth-apiserver-f6d8b6c75-5p5wh.log
$ grep "SHOULD NOT HAPPEN" logs/oauth-apiserver-f6d8b6c75-5p5wh.log | wc -l
1421
$ grep "SHOULD NOT HAPPEN.*OAuthClient" logs/oauth-apiserver-f6d8b6c75-5p5wh.log | wc -l
1421
All are for OAuthClient type. For this pod of 10h age, 10*3600s / 1421 = 25s per one.

$ vi logs/oauth-apiserver-f6d8b6c75-5p5wh.log
...
2020-11-03T11:00:56.262382600Z E1103 11:00:56.262311       1 fieldmanager.go:175] [SHOULD NOT HAPPEN] failed to update managedFields for /, Kind=: failed to convert new object (oauth.openshift.io/v1, Kind=OAuthClient) to smd typed: no corresponding type for oauth.openshift.io/v1, Kind=OAuthClient
2020-11-03T11:01:26.200228617Z E1103 11:01:26.200173       1 fieldmanager.go:175] [SHOULD NOT HAPPEN] failed to update managedFields for /, Kind=: failed to convert new object (oauth.openshift.io/v1, Kind=OAuthClient) to smd typed: no corresponding type for oauth.openshift.io/v1, Kind=OAuthClient
2020-11-03T11:01:56.182477945Z E1103 11:01:56.182380       1 fieldmanager.go:175] [SHOULD NOT HAPPEN] failed to update managedFields for /, Kind=: failed to convert new object (oauth.openshift.io/v1, Kind=OAuthClient) to smd typed: no corresponding type for oauth.openshift.io/v1, Kind=OAuthClient
2020-11-03T11:02:56.241959494Z E1103 11:02:56.241629       1 fieldmanager.go:175] [SHOULD NOT HAPPEN] failed to update managedFields for /, Kind=: failed to convert new object (oauth.openshift.io/v1, Kind=OAuthClient) to smd typed: no corresponding type for oauth.openshift.io/v1, Kind=OAuthClient
2020-11-03T11:03:05.874222841Z E1103 11:03:05.874103       1 fieldmanager.go:175] [SHOULD NOT HAPPEN] failed to update managedFields for /, Kind=: failed to convert new object (oauth.openshift.io/v1, Kind=OAuthClient) to smd typed: no corresponding type for oauth.openshift.io/v1, Kind=OAuthClient
...

Expected results:
From the conversation in #qe-group-b with Dev, Dev will fix it.

Additional info:
oc logs <pod_name> -n openshift-apiserver | grep "SHOULD NOT HAPPEN" # none
oc logs <pod_name> -n openshift-kube-apiserver | grep "SHOULD NOT HAPPEN" # none

Comment 1 pmali 2020-11-09 04:59:30 UTC
This bug is pre-merged verified according to DPTP-660, Here is the verification steps:

Marking as verified as oauth-apiserver logs does not contain the string "SHOULD NOT HAPPEN".

$ oc get clusterversion
NAME      VERSION                                           AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.ci.test-2020-11-09-035951-ci-ln-dfpcq5b   True        False         5m21s   Cluster version is 4.6.0-0.ci.test-2020-11-09-035951-ci-ln-dfpcq5b


$ oc get pod -n openshift-oauth-apiserver
NAME                         READY   STATUS    RESTARTS   AGE
apiserver-69964b85bc-8v8t7   1/1     Running   0          33m
apiserver-69964b85bc-cl96b   1/1     Running   0          33m
apiserver-69964b85bc-rkzmv   1/1     Running   0          33m

$ oc logs apiserver-69964b85bc-8v8t7 -n openshift-oauth-apiserver > oauth-apiserver-f6d8b6c75-5p5wh.log
$ grep "SHOULD NOT HAPPEN" oauth-apiserver-f6d8b6c75-5p5wh.log 
$ grep "SHOULD NOT HAPPEN.*OAuthClient" oauth-apiserver-f6d8b6c75-5p5wh.log

Comment 5 errata-xmlrpc 2020-12-14 13:50:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259